Roku Developer Program

Developers and content creators—a complete solution for growing an audience directly.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
dbulli
Level 7

Bug: OpenSSL 0.9.8 against OpenSSL 1.0.0

I am getting a error connected vi SSL to a server that is running OpenSSL 1.0.0. I assume from this link that the Roku box is using 0.98
http://stackoverflow.com/questions/8619706/running-curl-with-openssl-0-9-8-against-openssl-1-0-0-ser...

Downgrading the server is not going to happen. I am using a 2100x with software Version 3.1 . build 1011. Do other versions of the Roku box have a different version of Open SSL? Is there a way for me to force SSLv3 ?

Thanks
- Daniel
http://dbulli.com
0 Kudos
4 Replies
gonzotek
Level 8

Re: Bug: OpenSSL 0.9.8 against OpenSSL 1.0.0

"dbulli" wrote:
I am getting a error connected vi SSL to a server that is running OpenSSL 1.0.0. I assume from this link that the Roku box is using 0.98
http://stackoverflow.com/questions/8619706/running-curl-with-openssl-0-9-8-against-openssl-1-0-0-ser...

Downgrading the server is not going to happen. I am using a 2100x with software Version 3.1 . build 1011. Do other versions of the Roku box have a different version of Open SSL? Is there a way for me to force SSLv3 ?

Thanks

It looks like you're right about 0.98, and unfortunately it looks like all the boxes are using it right now:
http://support.roku.com/entries/246042- ... -resources

I was looking into the problem you posted in your other thread earlier today, but got interrupted before I made much progress. It looks like you've identified it correctly though.

Hopefully it's possible for them to update to 1.0.0 or greater without too much difficulty in the near future.
Remoku.tv - A free web app for Roku Remote Control!
Want to control your Roku from nearly any phone, computer or tablet? Get started at http://help.remoku.tv
by Apps4TV - Applications for television and beyond: http://www.apps4tv.com
0 Kudos
dbulli
Level 7

Re: Bug: OpenSSL 0.9.8 against OpenSSL 1.0.0

Thanks for the reply. Based on this link I wonder if there is a way to force options like they do in Curl here?

http://carnivore.it/2011/10/07/error_14077458_ssl_routines_ssl23_get_server_hello_reason_1112
- Daniel
http://dbulli.com
0 Kudos
ionatan
Level 7

Re: Bug: OpenSSL 0.9.8 against OpenSSL 1.0.0

Have you found any solution for this?
0 Kudos
dbulli
Level 7

Re: Bug: OpenSSL 0.9.8 against OpenSSL 1.0.0

In the ssl.conf the ServerName should match the server name that roku is calling
- Daniel
http://dbulli.com
0 Kudos